huff_codeword_s Struct Reference

## Data Fields

union { |
int32 ival |
char * sval |
} | r |
uint32 | nbits
uint32 | codeword

## Detailed Description

Definition at line 58 of file huff_code.c.

## Field Documentation

## codeword

uint32 huff_codeword_s::codeword

Definition at line 63 of file huff_code.c.

## ival

int32 huff_codeword_s::ival

Definition at line 60 of file huff_code.c.

## nbits

uint32 huff_codeword_s::nbits

Definition at line 63 of file huff_code.c.

## sval

char* huff_codeword_s::sval

Definition at line 61 of file huff_code.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/huff_code.c